package org.xbib.interlibrary.http.server.search;

import org.xbib.net.ParameterException;
import org.xbib.net.Resource;
import org.xbib.net.http.j2html.J2HtmlResource;
import org.xbib.net.http.j2html.J2HtmlResourceHandler;
import org.xbib.net.http.server.resource.HtmlTemplateResourceHandler;
import org.xbib.net.http.server.route.HttpRouterContext;

import java.io.IOException;

public class RecordViewHandler extends J2HtmlResourceHandler {

    public RecordViewHandler() {
    }

    @Override
    protected Resource createResource(HttpRouterContext httpRouterContext)
            throws IOException, ParameterException {
        return new RecordViewResource(this, httpRouterContext);
    }

    protected static class RecordViewResource extends J2HtmlResource {

        protected RecordViewResource(HtmlTemplateResourceHandler templateResourceHandler,
                                     HttpRouterContext httpRouterContext)
                throws IOException, ParameterException {
            super(templateResourceHandler, httpRouterContext);
        }

        @Override
        protected String renderHtml(HttpRouterContext context) throws ParameterException {
            RecordView view = new RecordView(this, application, request);
            return view.createSimplePage(context, "hbz-Leihverkehrsindex");
        }
    }
}
