package org.xbib.interlibrary.http.server.search;

import org.xbib.net.ParameterException;
import org.xbib.net.Resource;
import org.xbib.net.http.j2html.J2HtmlResource;
import org.xbib.net.http.j2html.J2HtmlResourceHandler;
import org.xbib.net.http.server.resource.HtmlTemplateResourceHandler;
import org.xbib.net.http.server.route.HttpRouterContext;

import java.io.IOException;

public class SearchFormViewHandler extends J2HtmlResourceHandler {

    public SearchFormViewHandler() {
    }

    @Override
    protected Resource createResource(HttpRouterContext httpRouterContext)
            throws IOException, ParameterException {
        return new SearchFormViewResource(this, httpRouterContext);
    }

    protected static class SearchFormViewResource extends J2HtmlResource {

        protected SearchFormViewResource(HtmlTemplateResourceHandler templateResourceHandler,
                                         HttpRouterContext httpRouterContext)
                throws IOException, ParameterException {
            super(templateResourceHandler, httpRouterContext);
        }

        @Override
        protected String renderHtml(HttpRouterContext context) throws ParameterException {
            SearchFormView view = new SearchFormView(this, application, request);
            return view.createSimplePage(context, "hbz-Leihverkehrsindex");
        }
    }
}
